Bug 234194 - Allow to perform custom code just before app deployment
Allow to perform custom code just before app deployment
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Infrastructure
7.4
PC All
: P2 (vote)
: 7.4
Assigned To: Petr Hejl
issues@serverplugins
: API, API_REVIEW_FAST
Depends on:
Blocks: 209396
  Show dependency treegraph
 
Reported: 2013-08-09 14:52 UTC by Petr Hejl
Modified: 2013-08-15 08:13 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
the patch (9.78 KB, patch)
2013-08-09 14:59 UTC, Petr Hejl
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Hejl 2013-08-09 14:52:02 UTC
This is need in Deployment.deploy() in order to allow maven debugger to be attached in advance.
Comment 1 Petr Hejl 2013-08-09 14:59:52 UTC
Created attachment 138503 [details]
the patch

The API change including the usage in maven.
Comment 2 Petr Hejl 2013-08-09 15:00:27 UTC
Please review.
Comment 3 Martin Janicek 2013-08-09 20:29:07 UTC
The patch looks fine to me, thanks
Comment 4 Martin Fousek 2013-08-12 06:29:38 UTC
Tha patch looks good to me.

Just a detail:
MF01: ...execution of custom custom code ...
Comment 5 Petr Hejl 2013-08-14 07:01:51 UTC
Thanks for the review. I'll integrate the change tomorrow.
Comment 6 Petr Hejl 2013-08-15 08:13:23 UTC
Fixed in web-main bf7a1700ee11.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo